Package org.opensaml.saml.saml2.metadata.impl

# Class RoleDescriptorXSAnyAdapter.MutableChildrenList.MutableChildrenIterator<E>

java.lang.Object
org.opensaml.saml.saml2.metadata.impl.RoleDescriptorXSAnyAdapter.MutableChildrenList.MutableChildrenIterator<E>

Type Parameters:
  `E` - the type of the iterator

All Implemented Interfaces:
  `Iterator<E>`

Enclosing class:
  RoleDescriptorXSAnyAdapter.MutableChildrenList<T extends XMLObject>

private class RoleDescriptorXSAnyAdapter.MutableChildrenList.MutableChildrenIterator<E> extends Object implements Iterator<E>
Iterator for mutable children which disallows removal.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Iterator<E>`
`wrapped`
The wrapped iterator instance.

## Constructor Summary

Constructors
Constructor
Description
`MutableChildrenIterator(Iterator<E> iter)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`forEachRemaining(Consumer<? super E> action)`
`boolean`
`hasNext()`
`E`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### wrapped

@Nonnull private Iterator<E> wrapped
The wrapped iterator instance.

## Constructor Details

### MutableChildrenIterator

public MutableChildrenIterator(@Nonnull Iterator<E> iter)
Constructor.

Parameters:
  `iter` - the wrapped iterator

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<E>`

### next

public E next()

Specified by:
  `next` in interface `Iterator<E>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<E>`

### forEachRemaining

public void forEachRemaining(Consumer<? super E> action)

Specified by:
  `forEachRemaining` in interface `Iterator<E>`